#!/usr/bin/env python

# 201110118979f891
	
import ogr, os, osr
	
OutFile_str = 'Test100000.shp'
	
Driver = ogr.GetDriverByName('ESRI Shapefile')
if os.path.exists(OutFile_str):
        Driver.DeleteDataSource(OutFile_str)

DSrc = Driver.CreateDataSource(OutFile_str)
LayerOut = DSrc.CreateLayer(OutFile_str, geom_type=ogr.wkbLineString)
	
x=-40.0;  y=20.0;  Inc_flt= 0.001;

for C1_int in range(0,100000,1):
  WKT_str = 'LINESTRING(%f %f, %f %f, %f %f, %f %f, %f %f)' % (x, y,  x+Inc_flt*(C1_int*2+1), y,  x+Inc_flt*(C1_int*2+1), y-Inc_flt*(C1_int*2+1),  x , y-Inc_flt*(C1_int*2+1),  x, y)
  x -= Inc_flt;  y += Inc_flt;

  FeatureOut = ogr.Feature(feature_def=LayerOut.GetLayerDefn())
  FeatureOut.SetGeometryDirectly(ogr.CreateGeometryFromWkt(WKT_str))
  LayerOut.CreateFeature(FeatureOut)
  FeatureOut.Destroy()

DSrc.Destroy()
